// (C) 2022-2025 GoodData Corporation
import React from "react";
/**
 * Automatically updates ref contents with the argument value
 *
 * @internal
 */
export const useAutoupdateRef = (value) => {
    const ref = React.useRef(value);
    React.useEffect(() => {
        ref.current = value;
    }, [value]);
    return ref;
};
//# sourceMappingURL=useAutoupdateRef.js.map